#!/sbin/sh
#-----------------------------------------------------------------------------
# @(#) verif_base_ora
# Nom / Name     : verif_base_ora
# Type / Type    : job shell (UNIX)                                           
# But / Aim      : verif presence base oracle
# Auteur / Author: Benjamin LISAN  ->    date creation: 26/4/00
#                                                                             
# Usage / Usage  : verif_base_ora
# Exemple / Ex.  : "verif_base_ora"                                           
# Contexte / Co. : cron
# Commentaires   : version pour machine JAVA (et SOLARIS)
#-----------------------------------------------------------------------------
PATH=/usr/bin:/usr/sbin:/sbin:/home/root:/usr/local/bin:.:$PATH
# liste des bases oracle de la machine JAVA
# liste obtenue par la commande :
# ps -ef|grep ora_pmon|grep -v grep| sed "s/.*ora_pmon_//"|grep -v "//"
for SID in coac C barco # ALUR  : on a inhibe la base ALUR-WINCAP
do
   VERS=`grep "^$SID:" /var/opt/oracle/oratab|grep -v "#"|sed -e "s:.*oracle_::" -e "s/:Y//" -e "s/:N//"`
   case $VERS in
   806)  # liste process residents base oracle
         list_proc="pmon dbw0 lgwr ckpt smon reco s000 d000 d001 d002"
         nb_proc=10 ;;
   734)  list_proc="dbwr pmon reco lgwr ckpt smon"
         nb_proc=6 ;;
   7162) list_proc="dbwr pmon lgwr ckpt smon"
         nb_proc=5 ;;
   *)    echo "base $SID non homologue VERS=$VERS"
         exit 1 ;;
   esac

   cpt_proc=0
   for proc in `echo "$list_proc"`
   do
     ps -ef|grep "ora_${proc}_${SID}" > /dev/null
     test $? = 0 && cpt_proc=`expr $cpt_proc + 1`
   done
   
   if [ $cpt_proc -eq $nb_proc ]
   then
      # ce test evite que le message soit affiche si le script est utilise dans un cron
      #test `tty` && echo "lancement base oracle $SID (vers:$VERS) : OK ($cpt_proc proc)"
   else
      echo "lancement base oracle $SID (vers:$VERS) : KO !! ($cpt_proc proc)"
      MAIL_ADDR=benjamin.lisan-tmaservices@renault.com
      mailx -s "`uname -n` `whoami`" $MAIL_ADDR << %%
base oracle $SID non lancee !!
%%
   fi
done
